at.chipkarte.client.ebs.soap

## Class EkvkPatient

- Object
- - at.chipkarte.client.ebs.soap.EkvkPatient

-     public class EkvkPatient
      extends Object

  Dient der Ein- und Ausgabe der Daten von EKVK-Patienten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EkvkPatient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGeburtsdatum()` 5 Geburtsdatum.
    `String` | `getGeschlecht()` Code des Geschlechts des Patienten.
    `String` | `getKarteAblaufdatum()` 9 Ablaufdatum.
    `String` | `getKarteKennnummer()` 8 Kennnummer der Karte.
    `String` | `getKarteninhaberKennnummer()` 6 Kennnummer des Karteninhabers.
    `String` | `getStaat()` 2 Staat.
    `String` | `getTraegerKennnummer()` 7 Kennnummer des Trägers.
    `String` | `getVorname()` 4 Vorname.
    `String` | `getZuname()` 3 Fam.name.
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlecht(String geschlecht)`
    `void` | `setKarteAblaufdatum(String karteAblaufdatum)`
    `void` | `setKarteKennnummer(String karteKennnummer)`
    `void` | `setKarteninhaberKennnummer(String karteninhaberKennnummer)`
    `void` | `setStaat(String staat)`
    `void` | `setTraegerKennnummer(String traegerKennnummer)`
    `void` | `setVorname(String vorname)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EkvkPatient

          public EkvkPatient()

  - ### Method Detail

    - #### getVorname

          public String getVorname()

      4 Vorname. (Feld 4 der EKV-Karte.)
      Angabe: Muss.
      Format: 70-stellig
      Returns:
        Vorname.

    - #### setVorname

          public void setVorname(String vorname)

    - #### getZuname

          public String getZuname()

      3 Fam.name. (Feld 3 der EKV-Karte.)
      Angabe: Muss.
      Format: 70-stellig
      Returns:
        Zuname.

    - #### setZuname

          public void setZuname(String zuname)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      5 Geburtsdatum. (Feld 5 der EKV-Karte.)
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Wertebereich: Darf nicht in der Zukunft liegen.
      Returns:
        Geburtsdatum.

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### getKarteninhaberKennnummer

          public String getKarteninhaberKennnummer()

      6 Kennnummer des Karteninhabers. (Feld 6 der EKV-Karte.)
      Angabe: Muss.
      Format: 1 bis 30-stellig.
      Returns:
        KarteninhaberKennnummer.

    - #### setKarteninhaberKennnummer

          public void setKarteninhaberKennnummer(String karteninhaberKennnummer)

    - #### getTraegerKennnummer

          public String getTraegerKennnummer()

      7 Kennnummer des Trägers. (Feld 7 der EKV-Karte.)
      Angabe: Muss.
      Format: 1 bis 31-stellig.
      Returns:
        TraegerKennnummer.

    - #### setTraegerKennnummer

          public void setTraegerKennnummer(String traegerKennnummer)

    - #### getKarteKennnummer

          public String getKarteKennnummer()

      8 Kennnummer der Karte. (Feld 8 der EKV-Karte.)
      Angabe: Muss.
      Format: 20 bis 25-stellig.
      Wertebereich: Erlaubte Zeichen sind a-z, A-Z und 0-9. Österreichische EKVK werden nicht unterstützt. Das heißt die ersten 10 Stellen dürfen nicht gleich "8004000001" sein.
      Returns:
        KarteKennnummer.

    - #### setKarteKennnummer

          public void setKarteKennnummer(String karteKennnummer)

    - #### getKarteAblaufdatum

          public String getKarteAblaufdatum()

      9 Ablaufdatum. (Feld 9 der EKV-Karte.)
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Wertebereich: Darf nicht in der Vergangenheit liegen.
      Returns:
        KarteAblaufdatum.

    - #### setKarteAblaufdatum

          public void setKarteAblaufdatum(String karteAblaufdatum)

    - #### getGeschlecht

          public String getGeschlecht()

      Code des Geschlechts des Patienten.
      Mögliche Werte siehe `Geschlechtscodes`. Für die Eingabe sind nur die Werte `M` und `W` zulässig.
      Angabe: Muss.
      Returns:
        Geschlecht.

    - #### setGeschlecht

          public void setGeschlecht(String geschlecht)

    - #### getStaat

          public String getStaat()

      2 Staat. (Feld 2 der EKV-Karte.)
      Mögliche Werte siehe `getStaatenISO3166alpha2`.
      Angabe: Muss.
      Wertebereich: Darf nicht "AT" und "AA" sein.
      Returns:
        Staat.

    - #### setStaat

          public void setStaat(String staat)